QwtPolarRenderer(3)

NAME
QwtPolarRenderer -

Renderer for exporting a polar plot to a document, a printer or anything else, that is supported by QPainter/QPaintDevice.

SYNOPSIS

#include <qwt_polar_renderer.h>

Inherits QObject.

  Public Member Functions
QwtPolarRenderer (QObject *parent=NULL)
virtual ~QwtPolarRenderer ()
Destructor.
void renderDocument (QwtPolarPlot *, const QString &format, const QSizeF &sizeMM, int resolution=85)
void renderDocument (QwtPolarPlot *, const QString &title, const QString &format, const QSizeF &sizeMM, int resolution=85)
void renderTo (QwtPolarPlot *, QPrinter &) const
Render the plot to a QPrinter.
void renderTo (QwtPolarPlot *, QPaintDevice &) const
Render the plot to a QPaintDevice.
virtual void render (QwtPolarPlot *, QPainter *, const QRectF &rect) const
Render the plot to a given rectangle ( f.e QPrinter, QSvgRenderer )
bool exportTo (QwtPolarPlot *, const QString &documentName, const QSizeF &sizeMM=QSizeF(200, 200), int resolution=85)
Execute a file dialog and render the plot to the selected file.
virtual void renderTitle (QPainter *, const QRectF &) const
virtual void renderLegend (const QwtPolarPlot *, QPainter *, const QRectF &) const

Detailed Description

Renderer for exporting a polar plot to a document, a printer or anything else, that is supported by QPainter/QPaintDevice.

Constructor & Destructor Documentation

  QwtPolarRenderer::QwtPolarRenderer (QObject *parent = NULL) [explicit]
Constructor

Parameters:
    parent Parent object

Member Function Documentation

  bool QwtPolarRenderer::exportTo (QwtPolarPlot *plot, const QString &documentName, const QSizeF &sizeMM = QSizeF( 200, 200 ), intresolution = 85)

Execute a file dialog and render the plot to the selected file. The document will be rendered in 85 dpi for a size 30x30 cm

Parameters:
    plot Plot widget
    documentName Default document name
    sizeMM Size for the document in millimeters.
    resolution Resolution in dots per Inch (dpi)

See Also:
    renderDocument()

  void QwtPolarRenderer::render (QwtPolarPlot *plot, QPainter *painter, const QRectF &plotRect) const [virtual]

Render the plot to a given rectangle ( f.e QPrinter, QSvgRenderer )

Parameters:
    plot Plot widget to be rendered
    painter Painter
    plotRect Bounding rectangle for the plot

  void QwtPolarRenderer::renderDocument (QwtPolarPlot *plot, const QString &fileName, const QSizeF &sizeMM, intresolution = 85)
Render a polar plot to a file

The format of the document will be autodetected from the suffix of the filename.

Parameters:
    plot Plot widget
    fileName Path of the file, where the document will be stored
    sizeMM Size for the document in millimeters.
    resolution Resolution in dots per Inch (dpi)

  void QwtPolarRenderer::renderDocument (QwtPolarPlot *plot, const QString &fileName, const QString &format, const QSizeF &sizeMM, intresolution = 85)
Render a plot to a file

Supported formats are:

•   pdf

•   ps

•   svg

•   all image formats supported by Qt, see QImageWriter::supportedImageFormats()

Parameters:
    plot Plot widget
    fileName Path of the file, where the document will be stored
    format Format for the document
    sizeMM Size for the document in millimeters.
    resolution Resolution in dots per Inch (dpi)

See Also:
    renderTo(), render(), QwtPainter::setRoundingAlignment()

  void QwtPolarRenderer::renderLegend (const QwtPolarPlot *plot, QPainter *painter, const QRectF &rect) const [virtual]
Render the legend into a given rectangle.

Parameters:
    plot Plot widget
    painter Painter
    rect Bounding rectangle

  void QwtPolarRenderer::renderTitle (QPainter *painter, const QRectF &rect) const [virtual]
Render the title into a given rectangle.

Parameters:
    painter Painter
    rect Bounding rectangle

  void QwtPolarRenderer::renderTo (QwtPolarPlot *plot, QPrinter &printer) const

Render the plot to a QPrinter. This function renders the contents of a QwtPolarPlot instance to QPaintDevice object. The size is derived from the printer metrics.

Parameters:
    plot Plot to be rendered
    printer Printer to paint on

See Also:
    renderDocument(), render(), QwtPainter::setRoundingAlignment()

  void QwtPolarRenderer::renderTo (QwtPolarPlot *plot, QPaintDevice &paintDevice) const

Render the plot to a QPaintDevice. This function renders the contents of a QwtPolarPlot instance to QPaintDevice object. The target rectangle is derived from its device metrics.

Parameters:
    plot Plot to be rendered
    paintDevice device to paint on, f.e a QImage

See Also:
    renderDocument(), render(), QwtPainter::setRoundingAlignment()

Author

Generated automatically by Doxygen for Qwt Polar User's Guide from the source code.